
.shop-btn{
    display:inline-flex;
    align-items:center;
    justify-content:center;

    color:#fff;
    text-decoration:none;

    border:1.5px solid #fff;
    border-radius:20px;

    padding:7px 16px;      /* Smaller */
    font-size:13px;        /* Smaller text */
    font-weight:600;

    min-width:110px;       /* Smaller width */

    transition:.3s;
}

.shop-btn:hover{
    background:#fff;
    color:#000;
}

    .offer-card{
    position:relative;
    border-radius:7px;
    overflow:hidden;
    cursor:pointer;
    background:#fff;
    transition:all .35s ease;
    box-shadow:0 8px 25px rgba(0,0,0,.08);
}

.offer-card img{
    width:100%;
    height:700px;              /* Increased height */
    object-fit:cover;
    transition:transform .4s ease;
}

.offer-card:hover{
    transform:none;
}

.offer-tag{
    position:absolute;
    left:50%;
    bottom:8px;
    transform:translateX(-50%);
    width:95%;
    padding:15px 18px;

    display:flex;
    align-items:center;
    justify-content:space-between;

    background:rgba(0,0,0,.30);
    backdrop-filter:blur(6px);

    border-radius:18px;
}

/* Left Side */
.offer-left{
    flex:1;
}

.offer-subtitle{
    color:#fff;
    font-size:17px;
    font-weight:500;
}

/* Divider */
.offer-divider{
    width:1px;
    height:50px;
    background:rgba(255,255,255,.35);
    margin:0 20px;
}

/* Right Side */
.offer-right{
    display:flex;
    align-items:center;
    justify-content:center;
}

.shop-btn{
    color:#fff;
    text-decoration:none;
    border:2px solid #fff;
    border-radius:30px;
    padding:10px 24px;
    font-weight:600;
    transition:.3s;
}

.shop-btn:hover{
    background:#fff;
    color:#000;
}

.offer-title{
    color:#9b5da3;
    font-size:22px;
    font-weight:700;
    margin-bottom:3px;
}


.offer-subtitle{
    color:#444;
    font-size:17px;
    font-weight:500;
    margin-top:4px;
}

/* Tablet */
@media (max-width:991px){

    .offer-card img{
        height:450px;
    }

    .offer-title{
        font-size:20px;
    }

    .offer-subtitle{
        font-size:16px;
    }
}

/* Mobile */
@media (max-width:767px){

    .offer-card{
        border-radius:16px;
    }

    .offer-card img{
        height:340px;
    }

    .offer-tag{
        width:90%;
        padding:12px;
        bottom:15px;
    }

    .offer-subtitle{
        font-size:14px;
    }
}